Axelered
Classifications

List Classifications

GET
/classifications

List the Classifications of the workspace, newest first, optionally for one Document.

Query Parameters

documentId?|null
limit?Limit
Range1 <= value <= 100
Default50
cursor?string|null

Header Parameters

x-workspace-id?|

The Workspace to act on. Required for the Root Key and global API Keys, optional for bound ones.

Response Body

Successful Response

application/json
  1. response
status?Status
Default"ok"
data*
{  "status": "ok",  "data": {    "items": [      {        "id": "string",        "workspaceId": "string",        "createdAt": "string",        "documentId": "string",        "status": "idle",        "credits": 0,        "config": {          "perimeter": "local",          "parsing": {            "tier": "fast",            "pages": "string"          },          "tier": "fast",          "instructions": "string",          "categories": [            {              "name": "string",              "description": "string"            }          ],          "allowEmpty": true        },        "output": {          "value": {            "category": {              "name": "string",              "description": "string"            },            "motivation": "string"          },          "truncated": false        }      }    ],    "limit": 0,    "cursor": "string",    "total": 0  }}